<!DOCTYPE html>
<html>
  <head>
    {% load static %}
    <link rel="apple-touch-icon" sizes="180x180" href="{% static 'controls/eduinf.png' %}">
    <link rel="icon" type="image/png" sizes="32x32" href="{% static 'controls/favicon-32x32.png' %}">
    <link rel="icon" type="image/png" sizes="16x16" href="{% static 'controls/favicon-16x16.png' %}">
    <link rel="manifest" href="{% static 'controls/site.webmanifest' %}">
    <link rel="mask-icon" href="{% static 'controls/safari-pinned-tab.svg' %}" color="#5bbad5">
    <link rel="shortcut icon" href="{% static 'controls/favicon.ico' %}">
    <meta name="msapplication-TileColor" content="#da532c">
    <meta name="msapplication-config" content="{% static 'controls/browserconfig.xml' %}">
    <meta name="theme-color" content="#ffffff">
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <style>
      * {
        box-sizing: border-box;
        overflow: hidden;
        font-family: "Lucida Sans", "Lucida Sans Regular", "Lucida Grande",
          "Lucida Sans Unicode", Geneva, Verdana, sans-serif;
        -webkit-touch-callout: none;
        -webkit-user-select: none;
        -khtml-user-select: none;
        -moz-user-select: none;
        -ms-user-select: none;
        user-select: none;
      }

      .svgText {
        font-size: 20px;
        font-weight: bold;
        font-family: system-ui, -apple-system, BlinkMacSystemFont, "Segoe UI",
          Roboto, Oxygen, Ubuntu, Cantarell, "Open Sans", "Helvetica Neue",
          sans-serif;
      }

      .svgTextSmaller {
        font-size: 10px;
      }

      html {
        overflow: hidden;
      }

      body {
        overflow: hidden;
        position: relative;
        margin: 0;
        padding: 0;
        display: flex;
        align-items: center;
        justify-content: center;
      }

      .logo {
        position: fixed;
        bottom: 10px;
        right: calc(50% - 150px);
        padding: 10px;
        width: 300px;
      }

      .landscapeHint {
        display: none;
        overflow-x: hidden;
        position: absolute;
        left: 99vh;
        top: 0;
        width: 80vw;
        margin-top: -100vw;
        transform: rotate(90deg);
        transform-origin: left top;
        background-color: #10bdff;
        color: #000000;
        padding: 10px;
        text-align: center;
        font-weight: bold;
        border-radius: 20px 20px 20px 20px;
        box-shadow: 1px 1px 6px grey;
        animation: slideIn 2s normal forwards
          cubic-bezier(0.075, 0.82, 0.165, 1);
        animation-delay: 0.5s;
        z-index: 6;
      }

      @keyframes slideIn {
        0% {
          margin-top: -100vw;
        }
        100% {
          margin-top: 10vw;
        }
      }
      @media screen and (max-width: 900px) and (orientation: portrait) {
        body {
          transform: rotate(-90deg);
          transform-origin: left top;
          width: 100vh;
          height: 100vw;
          overflow-x: hidden;
          position: absolute;
          left: 0;
          top: 100%;
        }

        .logo {
          right: calc(50% - 125px);
          width: 250px;
        }

        .landscapeHint {
          display: block;
        }
      }

      @media screen and (max-width: 900px) and (orientation: landscape) {
        .logo {
          right: calc(50% - 125px);
          width: 250px;
        }
      }
    </style>
    <script>
      const controls = {
        "green-button": "gb",
        "blue-button": "bb",
        "red-button": "rb",
        "yellow-button": "yb",
        "option-button": "ob",
        "start-button": "sb",
        "arrow-left": "al",
        "arrow-right": "ar",
        "arrow-up": "au",
        "arrow-down": "ad",
      };

      addEventListener("DOMContentLoaded", (event) => {
        document.body.addEventListener("touchstart", function (e) {
          e.preventDefault();
        });

        document.body.addEventListener("touchmove", function (e) {
          e.preventDefault();
        });

        for (const [key, value] of Object.entries(controls)) {
          let el = document.getElementById(key);

          el.addEventListener("click", (event) => {
            fetch(document.location.href + "control", {
              method: "POST",
              body: JSON.stringify({ pressedButton: value }),
              headers: { "Content-type": "application/json" },
            });
          });

          el.addEventListener("mousedown", (event) => {
            removeFilterProperties(el);
          });

          el.addEventListener("mouseup", (event) => {
            addFilterProperties(el);
          });

          el.addEventListener("touchstart", (event) => {
            removeFilterProperties(el);
          });

          el.addEventListener("touchend", (event) => {
            addFilterProperties(el);
          });
        }
      });

      function addFilterProperties(el) {
        if (el.children.length > 0) {
          el.children[0].style.filter = "url(#dropShadow)";
          el.children[1].style.filter = "url(#textShadow)";
        } else {
          el.style.filter = "url(#dropShadow)";
        }
      }

      function removeFilterProperties(el) {
        if (el.children.length > 0) {
          el.children[0].style.filter = "";
          el.children[1].style.filter = "";
        } else {
          el.style.filter = "";
        }
      }
    </script>
  </head>

  <body>
    <div class="landscapeHint">
      🚨 Use landscape mode for better experience! :-) 🚨
    </div>
    <div class="logo">
      {% load static %}
      <img
        src="{% static 'controls/eduinf.png' %}"
        width="100%"
        alt="Logo des EduInf der TU Dresden"
      />
    </div>
    <svg
      width="100%"
      viewBox="0 0 529.16667 238.125"
      version="1.1"
      id="svg827"
      xmlns="http://www.w3.org/2000/svg"
      xmlns:svg="http://www.w3.org/2000/svg"
    >
      <defs id="defs824">
        <filter id="dropShadow">
          <feDropShadow
            dx="0"
            dy="0"
            stdDeviation="1"
            floodColor="#000000"
            floodOpacity="1"
          />
        </filter>
        <filter id="textShadow">
          <feDropShadow
            dx="0"
            dy="0"
            stdDeviation="1"
            floodColor="#000000"
            floodOpacity="0.5"
          />
        </filter>
      </defs>
      <g id="controller">
        <g id="background" style="filter: url(#dropShadow)">
          <rect
            style="fill: #ececec; fill-opacity: 1; stroke-width: 0.261918"
            width="300.13467"
            height="185.75566"
            x="115.9296"
            y="9.5593958"
            ry="5.8536391"
          />
          <path
            style="fill: #ececec; fill-opacity: 1; stroke-width: 0.90082"
            d="M 104.76077,229.20991 C 62.997819,223.54526 28.250602,195.18668 14.21252,155.30987 9.4981136,141.91813 8.4107315,133.80953 8.9325013,115.93674 9.3167506,102.77365 9.7650416,98.870989 11.670461,92.101419 17.591954,71.063437 27.030501,55.322749 42.77552,40.227396 85.448393,-0.68469734 153.75788,-0.34382439 195.89774,40.991502 c 21.82229,21.405635 32.91539,48.041367 32.91539,79.033408 0,18.45073 -3.72168,34.17508 -11.80528,49.87856 -15.47713,30.06639 -43.38594,51.05107 -77.14034,58.00199 -8.53922,1.75844 -26.76643,2.43569 -35.10674,1.30445 z"
          />
          <path
            style="fill: #ececec; fill-opacity: 1; stroke-width: 0.90082"
            d="m 396.30119,229.20991 c -41.76294,-5.66465 -76.51016,-34.02323 -90.54824,-73.90004 -4.71441,-13.39174 -5.80179,-21.50034 -5.28002,-39.37313 0.38425,-13.16309 0.83254,-17.065751 2.73796,-23.835321 5.92149,-21.037979 15.36004,-36.778667 31.10506,-51.87402 42.67287,-40.91209334 110.98235,-40.57122039 153.12221,0.764106 21.82229,21.405635 32.91539,48.041364 32.91539,79.033405 0,18.45073 -3.72168,34.17508 -11.80528,49.87856 -15.47713,30.06639 -43.38594,51.05107 -77.14034,58.00199 -8.53922,1.75844 -26.76643,2.43569 -35.10674,1.30445 z"
          />
        </g>

        <circle
          style="fill: #808080; filter: url(#dropShadow); stroke-width: 0.4"
          id="path1073"
          cx="410"
          cy="120"
          r="90"
        />
        <circle
          style="fill: #808080; filter: url(#dropShadow); stroke-width: 0.4"
          id="path1073"
          cx="118"
          cy="120"
          r="90"
        />

        <rect
          style="
            fill: #ffffff;
            fill-opacity: 1;
            stroke-width: 0.4;
            filter: url(#dropShadow);
          "
          id="rect14302-9"
          width="97.612434"
          height="45"
          x="100"
          y="390"
          ry="22"
          transform="matrix(0.70964767,-0.70455673,0.75343112,0.65752684,19.961505,-24.697221)"
        />
        <rect
          style="
            fill: #ffffff;
            fill-opacity: 1;
            stroke-width: 0.44;
            filter: url(#dropShadow);
          "
          id="rect14302-9"
          width="97.612434"
          height="45"
          x="100"
          y="330"
          ry="22"
          transform="matrix(0.70964767,-0.70455673,0.75343112,0.65752684,19.961505,-24.697221)"
        />

        <g id="green-button">
          <circle
            style="fill: #118f42; stroke-width: 0.4; filter: url(#dropShadow)"
            id="path1073"
            cx="373"
            cy="120"
            r="18"
          />
          <text
            x="367"
            y="128"
            style="fill: #fff; filter: url(#textShadow)"
            class="svgText"
          >
            Y
          </text>
        </g>

        <g id="blue-button">
          <circle
            style="fill: #1c56b4; stroke-width: 0.4; filter: url(#dropShadow)"
            id="path1073-9"
            cx="410"
            cy="84"
            r="18"
          />
          <text
            x="404"
            y="92"
            style="fill: #fff; filter: url(#textShadow)"
            class="svgText"
          >
            X
          </text>
        </g>

        <g id="red-button">
          <circle
            style="fill: #c6191a; stroke-width: 0.4; filter: url(#dropShadow)"
            id="path1073-4"
            cx="456"
            cy="124"
            r="18"
          />
          <text
            x="450"
            y="131"
            style="fill: #fff; filter: url(#textShadow)"
            class="svgText"
          >
            A
          </text>
        </g>

        <g id="yellow-button">
          <circle
            style="fill: #eaa118; stroke-width: 0.48; filter: url(#dropShadow)"
            id="path1073-90"
            cx="418"
            cy="159"
            r="18"
          />
          <text
            x="412"
            y="167"
            style="fill: #fff; filter: url(#textShadow)"
            class="svgText"
          >
            B
          </text>
        </g>

        <g>
          <rect
            transform="rotate(-45)"
            style="
              fill: #000000;
              fill-opacity: 1;
              stroke-width: 0.4;
              filter: url(#dropShadow);
            "
            id="option-button"
            width="60"
            height="10"
            x="45"
            y="260"
            ry="1"
          />
          <text
            x="210"
            y="172"
            style="fill: #000"
            class="svgText svgTextSmaller"
          >
            OPTION
          </text>
        </g>

        <g>
          <rect
            transform="rotate(-45)"
            style="
              fill: #000000;
              fill-opacity: 1;
              stroke-width: 0.4;
              filter: url(#dropShadow);
            "
            id="start-button"
            width="60"
            height="10"
            x="80"
            y="295"
            ry="1"
          />
          <text
            x="260"
            y="172"
            style="fill: #000"
            class="svgText svgTextSmaller"
          >
            START
          </text>
        </g>

        <g
          id="arrowCross"
          transform="translate(16,-21)"
          style="filter: url(#dropShadow)"
        >
          <g id="arrow-left">
            <rect
              style="fill: #000000; fill-opacity: 1; stroke-width: 0.4"
              width="40"
              height="30"
              x="48"
              y="126"
              ry="0"
            />
            <polygon
              style="fill: #404040; filter: url(#textShadow)"
              points="10,0 0,20 20,20"
              transform="translate(50, 151) rotate(-90)"
            ></polygon>
          </g>

          <g id="arrow-right">
            <rect
              style="fill: #000000; fill-opacity: 1; stroke-width: 0.4"
              width="40"
              height="30"
              x="118"
              y="126"
              ry="0"
            />
            <polygon
              style="fill: #404040; filter: url(#textShadow)"
              points="10,0 0,20 20,20"
              transform="translate(155, 131) rotate(90)"
            ></polygon>
          </g>

          <g id="arrow-up">
            <rect
              style="fill: #000000; fill-opacity: 1; stroke-width: 0.4"
              width="40"
              height="30"
              x="86"
              y="-118"
              ry="0"
              transform="rotate(90)"
            />
            <polygon
              style="fill: #404040; filter: url(#textShadow)"
              points="10,0 0,20 20,20"
              transform="translate(93, 89)"
            ></polygon>
          </g>

          <g id="arrow-down">
            <rect
              style="fill: #000000; fill-opacity: 1; stroke-width: 0.4"
              width="40"
              height="30"
              x="156"
              y="-118"
              ry="0"
              transform="rotate(90)"
            />
            <polygon
              style="fill: #404040; filter: url(#textShadow)"
              points="10,0 0,20 20,20"
              transform="translate(113, 192) rotate(180)"
            ></polygon>
          </g>

          <rect
            style="fill: #000000; fill-opacity: 1; stroke-width: 0.4"
            width="30"
            height="30"
            x="88"
            y="126"
          />
        </g>
      </g>
    </svg>
  </body>
</html>
